Main Page Modules Data Structures File List Data Fields Globals Related Pages

# dbOption Struct Reference
[DB3.]

## Data Fields

const char * | longName
char | shortName
int | argInfo
void * | arg
int | val
const char * | descrip
const char * | argDescrip

## Detailed Description

Analogue to struct poptOption

Definition at line 41 of file dbconfig.c.

## Field Documentation

void* dbOption::arg

| Definition at line 45 of file dbconfig.c. Referenced by db3New, and prDbiOpenFlags.

const char* dbOption::argDescrip

| argument description for autohelp Definition at line 48 of file dbconfig.c.

int dbOption::argInfo

| Definition at line 44 of file dbconfig.c. Referenced by db3New, and prDbiOpenFlags.

const char* dbOption::descrip

| description for autohelp -- may be NULL Definition at line 47 of file dbconfig.c.

const char* dbOption::longName

| Definition at line 42 of file dbconfig.c. Referenced by db3New, and prDbiOpenFlags.

char dbOption::shortName

| Definition at line 43 of file dbconfig.c.

int dbOption::val

| Definition at line 46 of file dbconfig.c. Referenced by db3New, and prDbiOpenFlags.

The documentation for this struct was generated from the following file:

- rpmdb/dbconfig.c